com.sudogeeks.talking_reminder.NotificationHelper Class Reference

Class to implement notification This class is for implementing notification popup at alarm time. More...

Inheritance diagram for com.sudogeeks.talking_reminder.NotificationHelper:

## Public Member Functions

| NotificationHelper (Context base, Intent intent)
NotificationManager | getManager ()
NotificationCompat.Builder | getChannelNotification ()
TextToSpeech | getTextToSpeech ()

## Static Public Attributes

static final String | channelID = "channelID"
static final String | channelName = "Channel Name"

## Detailed Description

Class to implement notification This class is for implementing notification popup at alarm time.

Definition at line 20 of file NotificationHelper.java.

## Constructor & Destructor Documentation

## NotificationHelper()

com.sudogeeks.talking_reminder.NotificationHelper.NotificationHelper | ( | Context | base,
|  | Intent | intent
| ) |  |

Constructor for NotificationHelper class

Parameters

  base |
  intent |

Definition at line 33 of file NotificationHelper.java.

## Member Function Documentation

## getChannelNotification()

NotificationCompat.Builder com.sudogeeks.talking_reminder.NotificationHelper.getChannelNotification | ( |  | ) |

This method build notificationCompat having various setting of notification likeicon, content,priority,etc..

Returns
  NotificationCompat.Builder for the notification

Definition at line 71 of file NotificationHelper.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/NotificationHelper.java